import { OnInit } from '@angular/core';
import { NavController } from '@ionic/angular';
import { Observable } from 'rxjs';
import { LibMenuItem } from '../../../model/lib-menu-item';
import { AbstractAuthService } from '../abstract-auth.service';
import * as i0 from "@angular/core";
export declare class AuthHeaderComponent implements OnInit {
    private authService;
    private nav;
    languagesMenuItems: LibMenuItem[];
    themesMenuItems: LibMenuItem[];
    showBackBtn$: Observable<boolean>;
    constructor(authService: AbstractAuthService, nav: NavController);
    ngOnInit(): void;
    changeTheme: (theme: string) => void;
    changeLanguage: (lang: string) => void;
    gotToPreviousRoute(): void;
    private buildHeaderMenus;
    static ɵfac: i0.ɵɵFactoryDeclaration<AuthHeaderComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<AuthHeaderComponent, "lib-auth-header", never, {}, {}, never, never, false, never>;
}
