import { OnDestroy, OnInit } from '@angular/core';
import { FormControl, FormGroup } from '@angular/forms';
import { Observable, Subject } from 'rxjs';
import { AuthIcons } from '../../types/auth-icons';
import { AbstractAuthService } from './abstract-auth.service';
import * as i0 from "@angular/core";
export declare abstract class AuthModuleViewComponent implements OnInit, OnDestroy {
    authService: AbstractAuthService;
    viewEntered$: Subject<void>;
    continueButtonText: string;
    previousRouteUrl: string;
    showBackButton: boolean;
    showFooter: boolean;
    form: FormGroup | FormControl;
    username: string;
    icons: AuthIcons;
    loading$: Observable<boolean>;
    componentDestroyed$: Subject<void>;
    constructor(authService: AbstractAuthService);
    ngOnInit(): void;
    ngOnDestroy(): void;
    abstract onSubmit(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<AuthModuleViewComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<AuthModuleViewComponent, "ng-component", never, { "viewEntered$": { "alias": "viewEntered$"; "required": false; }; }, {}, never, never, false, never>;
}
