import { OnInit } from '@angular/core';
import { FormGroup } from '@angular/forms';
import { ForgetPasswordForm } from '../../../model/auth.models';
import { AbstractAuthService } from '../abstract-auth.service';
import { AuthModuleViewComponent } from '../auth-module-view';
import * as i0 from "@angular/core";
export declare class ForgotPasswordScreenComponent extends AuthModuleViewComponent implements OnInit {
    authService: AbstractAuthService;
    customClass: string;
    form: FormGroup<ForgetPasswordForm>;
    constructor(authService: AbstractAuthService);
    ngOnInit(): void;
    ionViewWillLeave(): void;
    /**
     * submit forgot password form
     */
    onSubmit(): void;
    /**
     * build login form group
     */
    private buildForm;
    static ɵfac: i0.ɵɵFactoryDeclaration<ForgotPasswordScreenComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ForgotPasswordScreenComponent, "lib-forgot-password", never, { "customClass": { "alias": "customClass"; "required": false; }; }, {}, never, never, false, never>;
}
