import { IAutoDelegationPreferences } from './preferences.interface';
export interface IAutoDelegationData {
    imgSrc: string;
    title?: string;
    name: string;
    location: string;
    menu: string[];
    meetings?: number;
    days?: string;
    price: number;
    marketPrice: number;
    hand?: string;
    mode?: string;
    score?: number;
    preferred?: number;
    lifeTimeFee?: string;
    lifeTimeMeetups?: number;
    joinDate?: string;
    preferences?: IAutoDelegationPreferences;
    preferencesProfile?: string;
    weight?: string;
    heightpref?: string;
    profile?: string[];
    communicationStyle?: string;
    goal?: string;
    job?: string;
    passions?: string[];
    dates?: number;
    msgs?: number;
    planOptions?: string[];
}
