import { LibMenuItem } from '../../../../model/lib-menu-item';
import * as i0 from "@angular/core";
export declare class MenuItemComponent {
    childMenu: any;
    menuDirection: 'ltr' | 'rtl';
    menuItems: LibMenuItem[];
    disableTranslation: boolean;
    listItem: unknown;
    listItemIndex: number;
    selectable: boolean;
    /**
     * overlayClass for custom global style
     */
    overlayClass: string;
    onlyCloseOnClickOutside: boolean;
    /**
     * on click menu item emit an event to the host app and activated the clicked item
     * @param item
     * @param index
     */
    onMenuItemClick(item: LibMenuItem, index: number): void;
    handleClick(event: Event, item: LibMenuItem, index: number): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<MenuItemComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<MenuItemComponent, "lib-menu-item", never, { "menuDirection": { "alias": "menuDirection"; "required": false; }; "menuItems": { "alias": "menuItems"; "required": false; }; "disableTranslation": { "alias": "disableTranslation"; "required": false; }; "listItem": { "alias": "listItem"; "required": false; }; "listItemIndex": { "alias": "listItemIndex"; "required": false; }; "selectable": { "alias": "selectable"; "required": false; }; "overlayClass": { "alias": "overlayClass"; "required": false; }; "onlyCloseOnClickOutside": { "alias": "onlyCloseOnClickOutside"; "required": false; }; }, {}, never, never, false, never>;
}
