import { OnInit } from '@angular/core';
import { FallbackTranslatePipe } from '../../../../pipes/fallback-translate/fallback-translate.pipe';
import { ICalendarAccount } from '../../interfaces/calendar.account.interface';
import { IEvent } from '../../interfaces/event.interface';
import { IRecurringEventException } from '../../interfaces/recurring.exception.interface';
import { CalendarUtilsService } from '../../services/calendar-utils.service';
import * as i0 from "@angular/core";
export declare class LibEventInfoComponent implements OnInit {
    private fallbackTranslatePipe;
    private calendarUtilService;
    event: IEvent;
    calendars: ICalendarAccount[];
    calendarAccount: ICalendarAccount;
    recurringException: IRecurringEventException;
    updatedRecurringException: IRecurringEventException;
    address: string;
    title: string;
    note: string;
    constructor(fallbackTranslatePipe: FallbackTranslatePipe, calendarUtilService: CalendarUtilsService);
    ngOnInit(): void;
    private initEventInfo;
    static ɵfac: i0.ɵɵFactoryDeclaration<LibEventInfoComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<LibEventInfoComponent, "lib-event-info", never, { "event": { "alias": "event"; "required": false; }; "calendars": { "alias": "calendars"; "required": false; }; }, {}, never, never, true, never>;
}
