import { OnDestroy, OnInit } from '@angular/core';
import { BehaviorSubject } from 'rxjs';
import { IPartialCircleProgressColors } from '../circle-progress/interfaces/partial-circle-progress-colors.interface';
import { ILibClientMatchOverview } from './interfaces/client-match-overview.interface';
import * as i0 from "@angular/core";
export declare class LibClientMatchOverviewComponent implements OnInit, OnDestroy {
    overview: ILibClientMatchOverview;
    expand: boolean;
    loading?: boolean;
    default?: boolean;
    partialColors: IPartialCircleProgressColors;
    imageLoader$: BehaviorSubject<boolean>;
    imagePathId: string;
    private componentDestroy$;
    ngOnInit(): void;
    ngOnDestroy(): void;
    private loadProfileImage;
    static ɵfac: i0.ɵɵFactoryDeclaration<LibClientMatchOverviewComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<LibClientMatchOverviewComponent, "lib-client-match-overview", never, { "overview": { "alias": "overview"; "required": true; }; "expand": { "alias": "expand"; "required": false; }; "loading": { "alias": "loading"; "required": false; }; "default": { "alias": "default"; "required": false; }; "partialColors": { "alias": "partialColors"; "required": false; }; }, {}, never, never, true, never>;
}
