import { MatDialogRef } from '@angular/material/dialog';
import { ItemActionHandler } from '../../model/item-action-handler';
import * as i0 from "@angular/core";
export declare class ConfirmationModalComponent {
    dialogRef: MatDialogRef<ConfirmationModalComponent>;
    data: any;
    title: string;
    headerIconTray: ItemActionHandler[];
    dialogMessage: string;
    confirmText: string;
    warningModal: boolean;
    hideCancelAction: boolean;
    readonly searchModeThreshold = 50;
    constructor(dialogRef: MatDialogRef<ConfirmationModalComponent>, data: any);
    /**
     * Closes the dialog
     */
    handleClickCancel(): void;
    /**
     * Closes the dialog and returns true to the dialog owner.
     */
    handleClickSave(): void;
    headerIconClicked(icon: ItemActionHandler): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<ConfirmationModalComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ConfirmationModalComponent, "lib-confirmation-modal", never, {}, {}, never, never, false, never>;
}
