import { OnDestroy, OnInit, TemplateRef, ViewContainerRef } from '@angular/core';
import { ContentViewCardService } from '../content-view-card.service';
import * as i0 from "@angular/core";
export declare class ContentToggleDirective implements OnInit, OnDestroy {
    private templateRef;
    private viewContainer;
    private contentViewCardService;
    private destroy$;
    constructor(templateRef: TemplateRef<HTMLElement>, viewContainer: ViewContainerRef, contentViewCardService: ContentViewCardService);
    ngOnInit(): void;
    ngOnDestroy(): void;
    private setElementViewState;
    static ɵfac: i0.ɵɵFactoryDeclaration<ContentToggleDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<ContentToggleDirective, "[libContentToggle]", never, {}, {}, never, never, false, never>;
}
