import { ElementRef, EventEmitter } from '@angular/core';
import { ControlValueAccessor } from '@angular/forms';
import * as i0 from "@angular/core";
export declare class DashedCheckboxComponent implements ControlValueAccessor {
    input: ElementRef;
    checked: boolean;
    disabled: boolean;
    toggle: EventEmitter<boolean>;
    private onChange;
    private onTouched;
    registerOnChange(fn: any): void;
    registerOnTouched(fn: any): void;
    setDisabledState(isDisabled: boolean): void;
    writeValue(value: boolean): void;
    onCheckToggled(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<DashedCheckboxComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DashedCheckboxComponent, "lib-dashed-checkbox", never, { "checked": { "alias": "checked"; "required": false; }; "disabled": { "alias": "disabled"; "required": false; }; }, { "toggle": "toggle"; }, never, never, false, never>;
}
