import { OnDestroy, OnInit, TemplateRef } from '@angular/core';
import { ImageModel } from '../../../model/image-model';
import { LibMenuItem } from './../../../model/lib-menu-item';
import * as i0 from "@angular/core";
export declare class FeedbackSendComponent implements OnInit, OnDestroy {
    toggleTemplate: TemplateRef<HTMLElement>;
    discardTemplate: TemplateRef<HTMLElement>;
    shakeEnabled: boolean;
    topics: string[];
    private feedbackService;
    private accelerometerService;
    private cdr;
    private location;
    private navCtrl;
    selectedTopic: string;
    singleImageUploadedUrl: string;
    imagesUrl: Record<string, string | null>;
    textareaContent: string;
    isFormValidState: boolean;
    nestedMenuItems: LibMenuItem[];
    private pressTimer;
    private readonly componentDestroyed$;
    ngOnInit(): void;
    ngOnDestroy(): void;
    onToggleChange(event: boolean, item: LibMenuItem): void;
    onMouseDown(): void;
    onMouseUp(): void;
    onMouseLeave(): void;
    onTouchStart(): void;
    onTouchEnd(): void;
    onUploadSingleImage(images: ImageModel[], field: string): void;
    onRemoveSingleImage(field: string): void;
    selectTopic(topic: string): void;
    submit(): void;
    goBack(): void;
    gotoScreenshot(): void;
    updateFormValidState(): void;
    onSubmitDiscard(): void;
    private startTimer;
    private clearPressTimer;
    private onLongPress;
    private getScreenshotImage;
    private onReportChange;
    private onSubmit;
    static ɵfac: i0.ɵɵFactoryDeclaration<FeedbackSendComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<FeedbackSendComponent, "lib-feedback-send", never, {}, {}, never, never, false, never>;
}
