import { EventEmitter } from '@angular/core';
import { Observable } from 'rxjs';
import { FooterTypes } from '../../enums/footer-type.enum';
import * as i0 from "@angular/core";
export declare class FooterSharedComponent {
    loading$: Observable<boolean>;
    canContinue: boolean;
    continueButtonText: string;
    secondaryButtonText: string;
    showBackButton: boolean;
    continueButtonParameter$: Observable<string>;
    secondaryButtonClick: EventEmitter<void>;
    continueButtonClick: EventEmitter<void>;
    FooterType: typeof FooterTypes;
    onContinueClick(): void;
    onSecondaryButtonClick(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<FooterSharedComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<FooterSharedComponent, "lib-footer-shared", never, { "loading$": { "alias": "loading$"; "required": false; }; "canContinue": { "alias": "canContinue"; "required": false; }; "continueButtonText": { "alias": "continueButtonText"; "required": false; }; "secondaryButtonText": { "alias": "secondaryButtonText"; "required": false; }; "showBackButton": { "alias": "showBackButton"; "required": false; }; "continueButtonParameter$": { "alias": "continueButtonParameter$"; "required": false; }; }, { "secondaryButtonClick": "secondaryButtonClick"; "continueButtonClick": "continueButtonClick"; }, never, never, true, never>;
}
