import { AfterViewInit, EventEmitter, OnDestroy } from '@angular/core';
import { Observable } from 'rxjs';
import { FooterTabModel } from '../../../../interfaces/footer-tab';
import { FooterTypes } from '../../enums/footer-type.enum';
import * as i0 from "@angular/core";
export declare class LibFooterTabsComponent implements AfterViewInit, OnDestroy {
    watchBackdropUpdate$: Observable<boolean>;
    enablePracticeMode: boolean;
    footerTabs: FooterTabModel[];
    activeTab: string;
    icons: Record<string, string>;
    handleTabClick: EventEmitter<FooterTabModel>;
    handleOpenModalPopup: EventEmitter<void>;
    private gestureCtrl;
    private el;
    private cdr;
    private footerGesture;
    FooterType: typeof FooterTypes;
    footerHeight: number;
    private maxFooterHeight;
    private minFooterHeight;
    ngAfterViewInit(): void;
    ngOnDestroy(): void;
    onTabClick(tab: FooterTabModel): void;
    openModalPopup(): void;
    private listenToFooterDragging;
    private onDragMove;
    static ɵfac: i0.ɵɵFactoryDeclaration<LibFooterTabsComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<LibFooterTabsComponent, "lib-footer-tabs", never, { "watchBackdropUpdate$": { "alias": "watchBackdropUpdate$"; "required": false; }; "enablePracticeMode": { "alias": "enablePracticeMode"; "required": false; }; "footerTabs": { "alias": "footerTabs"; "required": false; }; "activeTab": { "alias": "activeTab"; "required": false; }; "icons": { "alias": "icons"; "required": false; }; }, { "handleTabClick": "handleTabClick"; "handleOpenModalPopup": "handleOpenModalPopup"; }, never, never, true, never>;
}
