import { ChangeDetectorRef, OnInit, Type, ViewContainerRef } from '@angular/core';
import { UntypedFormControl } from '@angular/forms';
import { InjectableFormField } from '../../interfaces/injectable-form-field';
import * as i0 from "@angular/core";
export declare class InjectableFormFieldWrapperComponent implements OnInit {
    private changeDetectorRef;
    formFieldControl: UntypedFormControl;
    componentType: Type<InjectableFormField>;
    componentConfig: any;
    componentContainer: ViewContainerRef;
    private componentRef;
    constructor(changeDetectorRef: ChangeDetectorRef);
    ngOnInit(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<InjectableFormFieldWrapperComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<InjectableFormFieldWrapperComponent, "lib-injectable-form-field-wrapper", never, { "formFieldControl": { "alias": "formFieldControl"; "required": false; }; "componentType": { "alias": "componentType"; "required": false; }; "componentConfig": { "alias": "componentConfig"; "required": false; }; }, {}, never, never, false, never>;
}
