import { CdkDragDrop } from '@angular/cdk/drag-drop';
import { OnDestroy, OnInit } from '@angular/core';
import { MatDialog, MatDialogRef } from '@angular/material/dialog';
import { DomSanitizer } from '@angular/platform-browser';
import { FilterDataRequest } from '../../../model/filter-data-request';
import { ItemActionHandler } from '../../../model/item-action-handler';
import { GridService } from '../../grid/grid.service';
import { PopupModalService } from '../../modal/popup-modal/popup-modal.service';
import { GridFilterService } from '../services/grid-filter.service';
import { ManageFiltersModalMiscellaneousData } from './manage-filters-modal.interface';
import * as i0 from "@angular/core";
export declare class ManageFiltersModalComponent implements OnInit, OnDestroy {
    private dialogRef;
    private dialog;
    private domSanitizer;
    private gridFilterService;
    private popupModalService;
    private gridService;
    modalData: FilterDataRequest;
    manageFiltersModalMiscellaneousData: ManageFiltersModalMiscellaneousData;
    userFiltersList: FilterDataRequest[];
    tempUserFiltersList: FilterDataRequest[];
    headerIconTray: ItemActionHandler[];
    private componentDestroyed$;
    constructor(dialogRef: MatDialogRef<ManageFiltersModalComponent>, dialog: MatDialog, domSanitizer: DomSanitizer, gridFilterService: GridFilterService, popupModalService: PopupModalService, gridService: GridService, modalData: FilterDataRequest);
    ngOnInit(): void;
    ngOnDestroy(): void;
    handleClose(): void;
    drop(event: CdkDragDrop<string[]>): void;
    handleApplyAll(): void;
    saveFiltersList(): void;
    handleClearAll(): void;
    handleApplyFilter(filterDataRequest: FilterDataRequest): void;
    handleEditFilter(filterDataRequest: FilterDataRequest): void;
    canApplyChanges(): boolean;
    handleDeleteFilter(filterIndex: number): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<ManageFiltersModalComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ManageFiltersModalComponent, "lib-manage-filters-modal", never, {}, {}, never, never, false, never>;
}
