import { ChangeDetectorRef, ElementRef, NgZone, OnInit } from '@angular/core';
import { AbstractControl, ValidationErrors, Validator } from '@angular/forms';
import { CardDetails } from '../../../model/input-field-card.models';
import { InputFieldComponent } from '../../input-field/input-field.component';
import { MapService } from '../../map/map.service';
import * as i0 from "@angular/core";
export declare class InputFieldCardExpiryComponent extends InputFieldComponent<CardDetails> implements OnInit, Validator {
    private zone;
    private cdrRef;
    private mapServiceRef;
    inputElem: ElementRef;
    value: CardDetails;
    placeholder: string;
    private currentMonth;
    private currentYear;
    constructor(zone: NgZone, cdrRef: ChangeDetectorRef, mapServiceRef: MapService);
    ngOnInit(): void;
    writeValue(expiry: CardDetails): void;
    validate(control: AbstractControl): ValidationErrors | null;
    onInput(): void;
    private initValidationDate;
    static ɵfac: i0.ɵɵFactoryDeclaration<InputFieldCardExpiryComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<InputFieldCardExpiryComponent, "lib-input-field-card-expiry", never, {}, {}, never, never, false, never>;
}
