import { ChangeDetectorRef, ElementRef, EventEmitter, NgZone } from '@angular/core';
import { AbstractControl, ValidationErrors, Validator } from '@angular/forms';
import { CardBrand } from '../../../model/input-field-card.models';
import { InputFieldComponent } from '../../input-field/input-field.component';
import { MapService } from '../../map/map.service';
import { InputFieldCardService } from '../input-field-card.service';
import * as i0 from "@angular/core";
export declare class InputFieldCardNumberComponent extends InputFieldComponent implements Validator {
    private zone;
    private inputFieldCardService;
    private cdrRef;
    private mapServiceRef;
    inputElem: ElementRef;
    cardBrands: CardBrand[];
    amExpressMask: string;
    mask4: string;
    updateCardType: EventEmitter<string>;
    cardType: string;
    cardBrandLogo: string;
    private cardLength;
    private isDelete;
    private cardMask;
    private caretPosition;
    constructor(zone: NgZone, inputFieldCardService: InputFieldCardService, cdrRef: ChangeDetectorRef, mapServiceRef: MapService);
    writeValue(cardNumber: string): void;
    onKeyDown(event: KeyboardEvent): void;
    validate(control: AbstractControl): ValidationErrors | null;
    onPaste(event: ClipboardEvent): void;
    onInput(event: InputEvent | Event): void;
    updateValue(): void;
    isValidCardNumber(cardNumber: string): boolean;
    static ɵfac: i0.ɵɵFactoryDeclaration<InputFieldCardNumberComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<InputFieldCardNumberComponent, "lib-input-field-card-number", never, { "cardBrands": { "alias": "cardBrands"; "required": false; }; "amExpressMask": { "alias": "amExpressMask"; "required": false; }; "mask4": { "alias": "mask4"; "required": false; }; }, { "updateCardType": "updateCardType"; }, never, never, false, never>;
}
