import { TemplateRef } from '@angular/core';
import { ControlValueAccessor, FormControl } from '@angular/forms';
import * as i0 from "@angular/core";
export declare class InputFieldSelectComponent implements ControlValueAccessor {
    control: FormControl;
    multiple: boolean;
    label: string;
    placeholder: string;
    optionLabel: string;
    optionValue: string;
    options: unknown[];
    optionsTemplates: TemplateRef<any>[];
    filterBy: string;
    enableFilter: boolean;
    readonly: boolean;
    disabled: boolean;
    showClear: boolean;
    editable: boolean;
    withTemplate: boolean;
    enableTranslation: boolean;
    onChange: (value: any) => void;
    focused: boolean;
    value: string;
    private onTouched;
    constructor();
    writeValue(value: string): void;
    registerOnChange(fn: any): void;
    registerOnTouched(fn: any): void;
    setDisabledState?(isDisabled: boolean): void;
    touched(touched: boolean): void;
    onBlurField(): void;
    onFocusField(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<InputFieldSelectComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<InputFieldSelectComponent, "lib-input-field-select", never, { "multiple": { "alias": "multiple"; "required": false; }; "label": { "alias": "label"; "required": false; }; "placeholder": { "alias": "placeholder"; "required": false; }; "optionLabel": { "alias": "optionLabel"; "required": false; }; "optionValue": { "alias": "optionValue"; "required": false; }; "options": { "alias": "options"; "required": false; }; "optionsTemplates": { "alias": "optionsTemplates"; "required": false; }; "filterBy": { "alias": "filterBy"; "required": false; }; "enableFilter": { "alias": "enableFilter"; "required": false; }; "readonly": { "alias": "readonly"; "required": false; }; "disabled": { "alias": "disabled"; "required": false; }; "showClear": { "alias": "showClear"; "required": false; }; "editable": { "alias": "editable"; "required": false; }; "withTemplate": { "alias": "withTemplate"; "required": false; }; "enableTranslation": { "alias": "enableTranslation"; "required": false; }; }, {}, never, never, false, never>;
}
