import { AfterViewInit, OnInit } from '@angular/core';
import { JsonEditorComponent, JsonEditorMode, JsonEditorOptions, JsonEditorTreeNode } from 'ang-jsoneditor';
import { JSONEditorMenuItem } from '../../model/json-editor-menu-item';
import * as i0 from "@angular/core";
export declare class LibJsonEditorComponent implements OnInit, AfterViewInit {
    data: Object;
    expandAll: boolean;
    mode: JsonEditorMode;
    search: boolean;
    mainMenuBar: boolean;
    language: String;
    editor: JsonEditorComponent;
    editorOptions: JsonEditorOptions;
    private editorInstance;
    ngOnInit(): void;
    ngAfterViewInit(): void;
    customizeMenu(items: JSONEditorMenuItem[], node: JsonEditorTreeNode): JSONEditorMenuItem[];
    get jsonData(): JSON;
    static ɵfac: i0.ɵɵFactoryDeclaration<LibJsonEditorComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<LibJsonEditorComponent, "lib-json-editor", never, { "data": { "alias": "data"; "required": false; }; "expandAll": { "alias": "expandAll"; "required": false; }; "mode": { "alias": "mode"; "required": false; }; "search": { "alias": "search"; "required": false; }; "mainMenuBar": { "alias": "mainMenuBar"; "required": false; }; "language": { "alias": "language"; "required": false; }; }, {}, never, never, false, never>;
}
