import { AfterViewInit, ChangeDetectorRef, ElementRef, EventEmitter, OnChanges, SimpleChanges } from '@angular/core';
import * as i0 from "@angular/core";
export declare class MarqueeComponent implements OnChanges, AfterViewInit {
    private cdr;
    private el;
    titleContent: ElementRef;
    title: string;
    searchText: string;
    padding: number;
    onlyMarqueeOnHover: boolean;
    marquee: EventEmitter<boolean>;
    get applyMarqueeActiveClass(): boolean;
    isMarqueeActive: boolean;
    isHovered: boolean;
    constructor(cdr: ChangeDetectorRef, el: ElementRef);
    ngOnChanges(changes: SimpleChanges): void;
    ngAfterViewInit(): void;
    onResize(): void;
    private checkMarquee;
    static ɵfac: i0.ɵɵFactoryDeclaration<MarqueeComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<MarqueeComponent, "lib-marquee", never, { "title": { "alias": "title"; "required": false; }; "searchText": { "alias": "searchText"; "required": false; }; "padding": { "alias": "padding"; "required": false; }; "onlyMarqueeOnHover": { "alias": "onlyMarqueeOnHover"; "required": false; }; }, { "marquee": "marquee"; }, never, never, false, never>;
}
