import { EventEmitter, TemplateRef } from '@angular/core';
import { IMessage } from '../chat/interfaces/message.interface';
import { MatcherStatuses } from './enums/matcher-statuses.enum';
import { MATCHER_STATUSES } from './lookups/matcher-statuses.lookup';
import * as i0 from "@angular/core";
export declare class MatcherStatusesComponent {
    adsTemplate?: TemplateRef<HTMLElement>;
    status: MatcherStatuses;
    hideStatuses: boolean;
    messages: IMessage[];
    inputValue?: string;
    maxLength: number;
    responseTime?: string;
    disabled: boolean;
    getMessages: EventEmitter<boolean>;
    sendMessage: EventEmitter<IMessage>;
    MATCHER_STATUSES: typeof MATCHER_STATUSES;
    handleGetMessages(event: boolean): void;
    handleSendMessage(event: IMessage): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<MatcherStatusesComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<MatcherStatusesComponent, "lib-matcher-statuses", never, { "adsTemplate": { "alias": "adsTemplate"; "required": false; }; "status": { "alias": "status"; "required": false; }; "hideStatuses": { "alias": "hideStatuses"; "required": false; }; "messages": { "alias": "messages"; "required": false; }; "inputValue": { "alias": "inputValue"; "required": false; }; "maxLength": { "alias": "maxLength"; "required": false; }; "responseTime": { "alias": "responseTime"; "required": false; }; "disabled": { "alias": "disabled"; "required": false; }; }, { "getMessages": "getMessages"; "sendMessage": "sendMessage"; }, never, never, true, never>;
}
