import { ChangeDetectorRef, EventEmitter, Type } from '@angular/core';
import { FormControl } from '@angular/forms';
import { Observable } from 'rxjs';
import * as i0 from "@angular/core";
export declare class LibModalComponent {
    private cdr;
    isOpen: boolean;
    icon: any;
    title: string;
    message: string;
    extendedMessage: string;
    cancelButton: string;
    confirmButton: string;
    checkboxText: string;
    progBarCurrentStep: number;
    progBarTotalSteps: number;
    customClass: string;
    backdropDismiss: boolean;
    modalConfirm: EventEmitter<boolean>;
    modalDismiss: EventEmitter<boolean>;
    afterCloseEvent: EventEmitter<unknown>;
    modalComponent: Type<unknown>;
    modalComponentData: unknown;
    confirmationControl: FormControl<boolean>;
    afterClose: Observable<any>;
    constructor(cdr: ChangeDetectorRef);
    handleModalDismiss(): void;
    handleModalConfirm(): void;
    show(component?: Type<unknown>, data?: unknown, func1?: unknown, func2?: unknown): LibModalComponent;
    hide(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<LibModalComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<LibModalComponent, "lib-popup", never, { "isOpen": { "alias": "isOpen"; "required": false; }; "icon": { "alias": "icon"; "required": false; }; "title": { "alias": "title"; "required": false; }; "message": { "alias": "message"; "required": false; }; "extendedMessage": { "alias": "extendedMessage"; "required": false; }; "cancelButton": { "alias": "cancelButton"; "required": false; }; "confirmButton": { "alias": "confirmButton"; "required": false; }; "checkboxText": { "alias": "checkboxText"; "required": false; }; "progBarCurrentStep": { "alias": "progBarCurrentStep"; "required": false; }; "progBarTotalSteps": { "alias": "progBarTotalSteps"; "required": false; }; "customClass": { "alias": "customClass"; "required": false; }; "backdropDismiss": { "alias": "backdropDismiss"; "required": false; }; "modalComponent": { "alias": "modalComponent"; "required": false; }; "modalComponentData": { "alias": "modalComponentData"; "required": false; }; }, { "modalConfirm": "modalConfirm"; "modalDismiss": "modalDismiss"; "afterCloseEvent": "afterCloseEvent"; }, never, ["*"], false, never>;
}
