import { EventEmitter } from '@angular/core';
import { NgxImageCompressService } from 'ngx-image-compress';
import { ImageCropperService } from '../../image-cropper/image-cropper.service';
import { ImageBaseComponent } from '../image-base/image-base.component';
import * as i0 from "@angular/core";
export declare class ImageCardComponent extends ImageBaseComponent {
    private imageCompress;
    private imageCropper;
    removeImage: EventEmitter<void>;
    constructor(imageCompress: NgxImageCompressService, imageCropper: ImageCropperService);
    onRemoveImage(event: any): void;
    selectImages(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<ImageCardComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ImageCardComponent, "lib-image-card", never, {}, { "removeImage": "removeImage"; }, never, never, false, never>;
}
