import { OnDestroy, OnInit } from '@angular/core';
import { FormControl } from '@angular/forms';
import { SelectOption } from '../../model/select-option';
import * as i0 from "@angular/core";
export declare class RatingFieldComponent implements OnInit, OnDestroy {
    formFieldControl: FormControl<string>;
    required: boolean;
    label: string;
    submitted: boolean;
    showLabelInRequiredErrorMessage: boolean;
    readOnly: boolean;
    showRequiredIndicator: boolean;
    options: SelectOption<string>[];
    private componentDestroyed$;
    ngOnInit(): void;
    ngOnDestroy(): void;
    handleClick(value: any): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<RatingFieldComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<RatingFieldComponent, "lib-rating-field", never, { "formFieldControl": { "alias": "formFieldControl"; "required": false; }; "required": { "alias": "required"; "required": false; }; "label": { "alias": "label"; "required": false; }; "submitted": { "alias": "submitted"; "required": false; }; "showLabelInRequiredErrorMessage": { "alias": "showLabelInRequiredErrorMessage"; "required": false; }; "readOnly": { "alias": "readOnly"; "required": false; }; "showRequiredIndicator": { "alias": "showRequiredIndicator"; "required": false; }; "options": { "alias": "options"; "required": false; }; }, {}, never, never, false, never>;
}
