import { SafeHtml } from '@angular/platform-browser';
import { TooltipDirectionPreference } from '../../enums/tooltip-direction-preference';
import * as i0 from "@angular/core";
export declare class TooltipComponent {
    message: SafeHtml;
    title: SafeHtml;
    hideIcon: boolean;
    directionPreference: TooltipDirectionPreference;
    readonly directionPreferences: typeof TooltipDirectionPreference;
    static ɵfac: i0.ɵɵFactoryDeclaration<TooltipComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<TooltipComponent, "lib-tooltip", never, { "message": { "alias": "message"; "required": false; }; "title": { "alias": "title"; "required": false; }; "hideIcon": { "alias": "hideIcon"; "required": false; }; "directionPreference": { "alias": "directionPreference"; "required": false; }; }, {}, never, never, false, never>;
}
