import { AfterViewInit, ElementRef, OnChanges, OnDestroy, Renderer2, SimpleChanges } from '@angular/core';
import { Direction } from '../../enums/direction.enum';
import * as i0 from "@angular/core";
export declare class DraggableScrollDirective implements AfterViewInit, OnDestroy, OnChanges {
    private el;
    private renderer;
    includeSidePadding: boolean;
    direction: Direction;
    freeMode: boolean;
    slidesPerView: number | 'auto';
    animationEffect: string;
    transition: boolean;
    private swiper;
    constructor(el: ElementRef<HTMLElement>, renderer: Renderer2);
    ngOnChanges(changes: SimpleChanges): void;
    ngAfterViewInit(): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<DraggableScrollDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<DraggableScrollDirective, "[libDraggableScroll]", never, { "includeSidePadding": { "alias": "includeSidePadding"; "required": false; }; "direction": { "alias": "direction"; "required": false; }; "freeMode": { "alias": "freeMode"; "required": false; }; "slidesPerView": { "alias": "slidesPerView"; "required": false; }; "animationEffect": { "alias": "animationEffect"; "required": false; }; "transition": { "alias": "transition"; "required": false; }; }, {}, never, never, false, never>;
}
