import { FormControl, ValidationErrors, Validator, ValidatorFn } from '@angular/forms';
import { TranslateService } from '@ngx-translate/core';
import * as i0 from "@angular/core";
export declare class CustomPasswordValidatorDirective implements Validator {
    private translateService;
    constructor(translateService: TranslateService);
    /**
     * validate function
     *
     * @param control
     */
    validate(control: FormControl): ValidationErrors | null;
    static patternValidator(regex: RegExp, error: ValidationErrors): ValidatorFn;
    static ɵfac: i0.ɵɵFactoryDeclaration<CustomPasswordValidatorDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<CustomPasswordValidatorDirective, "[formControlName][customPasswordValidator],[ngModel][customPasswordValidator],[formControl][customPasswordValidator]", never, {}, {}, never, never, false, never>;
}
