import { FormControl, ValidationErrors, Validator } from '@angular/forms';
import * as i0 from "@angular/core";
export declare class PasswordValidatorDirective implements Validator {
    passwordErrorMsg: string;
    private passwordRegex;
    /**
     * validate function
     *
     * @param control
     */
    validate(control: FormControl): ValidationErrors | null;
    /**
     * build the error msg
     *
     * @private
     */
    private message;
    static ɵfac: i0.ɵɵFactoryDeclaration<PasswordValidatorDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<PasswordValidatorDirective, "[libPasswordValidator]", never, { "passwordErrorMsg": { "alias": "passwordErrorMsg"; "required": false; }; }, {}, never, never, false, never>;
}
