import { ChangeDetectorRef, ElementRef, EventEmitter, OnDestroy, OnInit, Renderer2, ViewContainerRef } from '@angular/core';
import { NgxPopperjsDirective } from 'ngx-popperjs';
import { PopperService } from '../../services/popper.service';
import * as i0 from "@angular/core";
export declare class PoperDirective extends NgxPopperjsDirective implements OnInit, OnDestroy {
    private renderer;
    private myChangeDetectorRef;
    private elementRef;
    private myVcr;
    private popperService;
    private overlay;
    private destroy$;
    popperShowBackdrop: boolean;
    backdropUpdated: EventEmitter<boolean>;
    constructor(renderer: Renderer2, myChangeDetectorRef: ChangeDetectorRef, elementRef: ElementRef, myVcr: ViewContainerRef, popperService: PopperService);
    ngOnInit(): void;
    private createOverlay;
    private showOverlay;
    private hideOverlay;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<PoperDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<PoperDirective, "[libPopper]", ["libPopper"], { "popperShowBackdrop": { "alias": "popperShowBackdrop"; "required": false; }; }, { "backdropUpdated": "backdropUpdated"; }, never, never, false, never>;
}
