import { UntypedFormGroup } from '@angular/forms';
import { FormGenStyle } from '../../enums/form-gen-style';
import { FormSectionVariables } from './form-section-variables';
/**
 * All the variables to display and validate a form.
 */
export declare class FormVariables {
    groups: FormSectionVariables[];
    formGroup: UntypedFormGroup;
    formStyle: FormGenStyle;
    /**
     *
     * @param groupInfo - Variables needed to display child group.
     * The new form group will be added to the current form group.
     *
     * Used to insert group into a form
     */
    addGroupInfo(groupInfo: FormSectionVariables): void;
}
