/**
 * operations.ts - Contains common operations utility functions.
 *
 * @file This file exports utility functions for common operations.
 */
/**
 * Generates a random string of the specified length.
 *
 * @param {number} [length=10] - The length of the random string to generate. Default is 10.
 * @return {string} A randomly generated string.
 */
declare function randomString(length?: number): string;
/**
 * Collection of common operations utility functions.
 */
export declare const CommonOperations: {
    randomString: typeof randomString;
};
export {};
