import { AuthProviders } from '../../../enums/auth-providers.enum';
import { AbstractAuthService } from '../abstract-auth.service';
import * as i0 from "@angular/core";
export declare class AuthSocialComponent {
    private authService;
    icons: {
        google: string;
        facebook: string;
        twitter: string;
    };
    providers: typeof AuthProviders;
    /***/
    constructor(authService: AbstractAuthService);
    /**
     * on social login/register
     *
     * @param provider [google, facebook, Twitter ]
     */
    socialLogin: (provider: AuthProviders) => void;
    static ɵfac: i0.ɵɵFactoryDeclaration<AuthSocialComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<AuthSocialComponent, "lib-auth-social", never, { "icons": { "alias": "icons"; "required": false; }; }, {}, never, never, false, never>;
}
