import { OnInit } from '@angular/core';
import { FormGroup } from '@angular/forms';
import { AbstractAuthService } from '../../abstract-auth.service';
import { AuthModuleViewComponent } from '../../auth-module-view';
import * as i0 from "@angular/core";
export declare class ResetPasswordScreenComponent extends AuthModuleViewComponent implements OnInit {
    authService: AbstractAuthService;
    passwordHide: boolean;
    confirmPasswordHide: boolean;
    form: FormGroup;
    constructor(authService: AbstractAuthService);
    ngOnInit(): void;
    /**
     * submit reset password
     */
    onSubmit(): void;
    /**
     * build reset password form
     */
    private buildForm;
    static ɵfac: i0.ɵɵFactoryDeclaration<ResetPasswordScreenComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ResetPasswordScreenComponent, "lib-reset-password", never, {}, {}, never, never, false, never>;
}
