import { EventEmitter, OnInit } from '@angular/core';
import { FormControl } from '@angular/forms';
import { Observable } from 'rxjs';
import { AbstractAuthService } from '../../abstract-auth.service';
import { AuthModuleViewComponent } from '../../auth-module-view';
import * as i0 from "@angular/core";
export declare class VerificationCodeScreenComponent extends AuthModuleViewComponent implements OnInit {
    authService: AbstractAuthService;
    customClass: string;
    noOfBox: number;
    handleEdit: EventEmitter<void>;
    resendInfo: {
        retriesMax: number;
        retries: number;
    };
    secondsLeft: number;
    secondsLeft$: Observable<number>;
    form: FormControl<string>;
    constructor(authService: AbstractAuthService);
    ngOnInit(): void;
    onSubmit(): void;
    reSendVerificationCode(): void;
    onEdit(): void;
    private buildForm;
    static ɵfac: i0.ɵɵFactoryDeclaration<VerificationCodeScreenComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<VerificationCodeScreenComponent, "lib-verification-code", never, { "customClass": { "alias": "customClass"; "required": false; }; "noOfBox": { "alias": "noOfBox"; "required": false; }; }, { "handleEdit": "handleEdit"; }, never, never, false, never>;
}
