import { AfterViewInit, ChangeDetectorRef, OnChanges, OnDestroy, SimpleChanges } from '@angular/core';
import { FormControl } from '@angular/forms';
import { NgOtpInputComponent } from 'ng-otp-input';
import { Subject } from 'rxjs';
import * as i0 from "@angular/core";
export declare class OtpInputComponent implements AfterViewInit, OnChanges, OnDestroy {
    private cdr;
    length: number;
    placeholder: string;
    formCtrl: FormControl;
    ngOtpInputComponent: NgOtpInputComponent;
    loading: boolean;
    private internalCtrl;
    private formatted$;
    componentDestroyed$: Subject<void>;
    constructor(cdr: ChangeDetectorRef);
    ngOnChanges(changes: SimpleChanges): void;
    ngAfterViewInit(): void;
    ngOnDestroy(): void;
    resetOtpInput(): void;
    private setupDebouncedEmitter;
    private handleOtpChange;
    static ɵfac: i0.ɵɵFactoryDeclaration<OtpInputComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<OtpInputComponent, "lib-otp-input", never, { "length": { "alias": "length"; "required": false; }; "placeholder": { "alias": "placeholder"; "required": false; }; "formCtrl": { "alias": "formCtrl"; "required": false; }; }, {}, never, never, false, never>;
}
