import { Observable } from 'rxjs';
/**
 * All the logic that previously was in BaseBtnComponent (inputs and methods)
 * extracted to a 'pure' class without Angular decorators
 */
export declare class BaseBtnLogic {
    hoverOutline: boolean;
    disabled: boolean;
    type: string;
    form: string;
    label: string;
    showArrowIcon: boolean;
    disableTextShadow: boolean;
    notificationCount: number;
    loading$: Observable<boolean>;
    illuminateIcon: boolean;
    checked: boolean;
    onTouchStart(): void;
    onTouchEnd(): void;
    onBtnContainerClick(event: Event): void;
}
