import { Observable } from 'rxjs';
import { BaseBtnLogic } from './base-btn-logic';
import * as i0 from "@angular/core";
export declare class BaseBtnComponent extends BaseBtnLogic {
    hoverOutline: boolean;
    disabled: boolean;
    type: string;
    form: string;
    label: string;
    showArrowIcon: boolean;
    disableTextShadow: boolean;
    notificationCount: number;
    loading$: Observable<boolean>;
    illuminateIcon: boolean;
    checked: boolean;
    static ɵfac: i0.ɵɵFactoryDeclaration<BaseBtnComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<BaseBtnComponent, "lib-base-btn", never, { "hoverOutline": { "alias": "hoverOutline"; "required": false; }; "disabled": { "alias": "disabled"; "required": false; }; "type": { "alias": "type"; "required": false; }; "form": { "alias": "form"; "required": false; }; "label": { "alias": "label"; "required": false; }; "showArrowIcon": { "alias": "showArrowIcon"; "required": false; }; "disableTextShadow": { "alias": "disableTextShadow"; "required": false; }; "notificationCount": { "alias": "notificationCount"; "required": false; }; "loading$": { "alias": "loading$"; "required": false; }; "illuminateIcon": { "alias": "illuminateIcon"; "required": false; }; "checked": { "alias": "checked"; "required": false; }; }, {}, never, ["*", "[buttonIconContainer]"], false, never>;
}
