import { TooltipPosition } from '@angular/material/tooltip';
import { Observable } from 'rxjs';
import { LibMenuItem } from '../../../model/lib-menu-item';
import { BaseBtnLogic } from '../base-btn/base-btn-logic';
import * as i0 from "@angular/core";
export declare class MenuBtnComponent extends BaseBtnLogic {
    menuBtnIcon: boolean;
    menuBtnTooltip: string;
    menuBtnTooltipPosition: TooltipPosition;
    menuBtnIconName: string;
    menuBtnImgUrl: string;
    menuBtnNotificationIconUrl: string;
    menuDirection: 'ltr' | 'rtl';
    hasNotification: boolean;
    menuItems: LibMenuItem[];
    disableTranslation: boolean;
    listItem: unknown;
    listItemIndex: number;
    selectable: boolean;
    /** CSS class(es) to be applied to the overlay container */
    overlayClass: string;
    /** Booleans that come from the user menu component */
    isUserMenu: boolean;
    onlyCloseOnClickOutside: boolean;
    hoverOutline: boolean;
    disabled: boolean;
    type: string;
    form: string;
    label: string;
    showArrowIcon: boolean;
    disableTextShadow: boolean;
    loading$: Observable<boolean>;
    static ɵfac: i0.ɵɵFactoryDeclaration<MenuBtnComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<MenuBtnComponent, "lib-menu-btn", never, { "menuBtnIcon": { "alias": "menuBtnIcon"; "required": false; }; "menuBtnTooltip": { "alias": "menuBtnTooltip"; "required": false; }; "menuBtnTooltipPosition": { "alias": "menuBtnTooltipPosition"; "required": false; }; "menuBtnIconName": { "alias": "menuBtnIconName"; "required": false; }; "menuBtnImgUrl": { "alias": "menuBtnImgUrl"; "required": false; }; "menuBtnNotificationIconUrl": { "alias": "menuBtnNotificationIconUrl"; "required": false; }; "menuDirection": { "alias": "menuDirection"; "required": false; }; "hasNotification": { "alias": "hasNotification"; "required": false; }; "menuItems": { "alias": "menuItems"; "required": false; }; "disableTranslation": { "alias": "disableTranslation"; "required": false; }; "listItem": { "alias": "listItem"; "required": false; }; "listItemIndex": { "alias": "listItemIndex"; "required": false; }; "selectable": { "alias": "selectable"; "required": false; }; "overlayClass": { "alias": "overlayClass"; "required": false; }; "isUserMenu": { "alias": "isUserMenu"; "required": false; }; "onlyCloseOnClickOutside": { "alias": "onlyCloseOnClickOutside"; "required": false; }; "hoverOutline": { "alias": "hoverOutline"; "required": false; }; "disabled": { "alias": "disabled"; "required": false; }; "type": { "alias": "type"; "required": false; }; "form": { "alias": "form"; "required": false; }; "label": { "alias": "label"; "required": false; }; "showArrowIcon": { "alias": "showArrowIcon"; "required": false; }; "disableTextShadow": { "alias": "disableTextShadow"; "required": false; }; "loading$": { "alias": "loading$"; "required": false; }; }, {}, never, ["*"], false, never>;
}
