import { OnInit, TemplateRef } from '@angular/core';
import { Observable } from 'rxjs';
import { IAgendaDay } from './interfaces/agenda.day.interface';
import { IAgendaEvent } from './interfaces/agenda.event.inetrface';
import { Direction } from '../../../enums/direction.enum';
import * as i0 from "@angular/core";
export declare class AgendaComponent implements OnInit {
    adsTemplate?: TemplateRef<HTMLElement>;
    loading$: Observable<boolean>;
    startDate: Date;
    endDate: Date;
    set events(events: IAgendaEvent[]);
    numberOfEvents: number;
    days: IAgendaDay[];
    direction: Direction;
    private _events;
    ngOnInit(): void;
    private buildAgendaDays;
    private getSuccessiveEmptyDays;
    static ɵfac: i0.ɵɵFactoryDeclaration<AgendaComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<AgendaComponent, "lib-agenda", never, { "adsTemplate": { "alias": "adsTemplate"; "required": false; }; "loading$": { "alias": "loading$"; "required": false; }; "startDate": { "alias": "startDate"; "required": false; }; "endDate": { "alias": "endDate"; "required": false; }; "events": { "alias": "events"; "required": false; }; }, {}, never, never, false, never>;
}
