import { OnInit } from '@angular/core';
import { FormControl } from '@angular/forms';
import { FormFieldType } from '../../../../enums/form-field-type';
import { SelectOption } from '../../../../model/select-option';
import { FallbackTranslatePipe } from '../../../../pipes/fallback-translate/fallback-translate.pipe';
import { EditRecurringEventOptions } from '../../enums/recurring.edit.options.enum';
import * as i0 from "@angular/core";
export declare class LibEditRecurringEventComponent implements OnInit {
    private fallbackTranslatePipe;
    excludeCurrentInstance: boolean;
    editOptionsCtrl: FormControl<EditRecurringEventOptions>;
    options: SelectOption<EditRecurringEventOptions>[];
    radioFieldType: FormFieldType;
    constructor(fallbackTranslatePipe: FallbackTranslatePipe);
    ngOnInit(): void;
    private initRecurringOptions;
    static ɵfac: i0.ɵɵFactoryDeclaration<LibEditRecurringEventComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<LibEditRecurringEventComponent, "lib-edit-recurring-event", never, { "excludeCurrentInstance": { "alias": "excludeCurrentInstance"; "required": false; }; "editOptionsCtrl": { "alias": "editOptionsCtrl"; "required": false; }; }, {}, never, never, true, never>;
}
