import { RecurringTypes } from '../enums/recurring.type.enum';
export interface IRecurringEvent {
    title: string;
    name?: string;
    translateParams?: {
        day: string;
    };
    subTitle?: string;
    type?: RecurringTypes;
    rrule?: {
        freq: any;
        bymonth?: number;
        bymonthday?: number;
        byweekday?: any;
    };
}
