import { RecurringTypes } from '../enums/recurring.type.enum';
import { IRecurringEventException } from './recurring.exception.interface';
export interface IRecurringPattern {
    type?: RecurringTypes;
    exceptions?: IRecurringEventException[];
    deletions?: IRecurringEventException[];
    updatedEvent?: IRecurringEventException;
    recurringEndDate?: Date;
    daysOfWeek?: string[];
    interval?: number;
    range?: {
        type?: string;
        startDate?: string;
        endDate?: string;
    };
}
