import { ImageModel } from '../../../../model/image-model';
import { ScheduleDateStatus } from '../enums/schedule-date-status.enum';
import { ISchedulerEventSuggestion } from './scheduler.event.suggestion.interface';
export interface ISchedulerEvent {
    _id?: string;
    timeZone?: string;
    start: Date;
    day: string;
    end: Date;
    hours: string;
    allDay?: boolean;
    blocked?: boolean;
    booked?: boolean;
    expanded?: boolean;
    suggestions?: ISchedulerEventSuggestion[];
    index?: number;
    startTime?: string;
    endTime?: string;
    status?: {
        client: ScheduleDateStatus;
        matcher: ScheduleDateStatus;
    };
    images?: ImageModel[];
}
