import { ModuleWithProviders } from '@angular/core';
import * as i0 from "@angular/core";
import * as i1 from "./chat.component";
import * as i2 from "@angular/common";
import * as i3 from "../photo-upload/image-card/image-card.module";
import * as i4 from "@angular/material/input";
import * as i5 from "@angular/material/select";
import * as i6 from "@angular/material/form-field";
import * as i7 from "../input-field/input-field.module";
import * as i8 from "@angular/forms";
import * as i9 from "./gif-selector/gif-selector.component";
import * as i10 from "../modal/modal.module";
import * as i11 from "../../shared/shared.module";
import * as i12 from "ngx-infinite-scroll";
export declare class LibChatComponentModule {
    static forRoot(config: {
        tenorKey: string;
        tenorURL: string;
    }): ModuleWithProviders<LibChatComponentModule>;
    static ɵfac: i0.ɵɵFactoryDeclaration<LibChatComponentModule, never>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<LibChatComponentModule, [typeof i1.ChatComponent], [typeof i2.CommonModule, typeof i3.ImageCardModule, typeof i4.MatInputModule, typeof i5.MatSelectModule, typeof i6.MatFormFieldModule, typeof i7.InputFieldModule, typeof i8.FormsModule, typeof i8.ReactiveFormsModule, typeof i9.GifSelectorComponent, typeof i10.LibModalModule, typeof i11.SharedModule, typeof i12.InfiniteScrollModule], [typeof i1.ChatComponent]>;
    static ɵinj: i0.ɵɵInjectorDeclaration<LibChatComponentModule>;
}
