import { EventEmitter, OnDestroy, OnInit } from '@angular/core';
import { FormGroup } from '@angular/forms';
import { Observable } from 'rxjs';
import { ITenorObject } from './tenor-object.interface';
import { ITenorResult } from './tenor-result.interface';
import * as i0 from "@angular/core";
export declare class GifSelectorComponent implements OnInit, OnDestroy {
    private cdr;
    private gifService;
    private destroy$;
    form: FormGroup;
    pos: string;
    gifs: ITenorResult[];
    throttle: number;
    distance: number;
    selectGif: EventEmitter<string>;
    ngOnInit(): void;
    onScrollGifs(): void;
    ngOnDestroy(): void;
    getGifs(term: string): Observable<ITenorObject>;
    private buildForm;
    onGifClick(url: string): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<GifSelectorComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<GifSelectorComponent, "lib-gif-selector", never, {}, { "selectGif": "selectGif"; }, never, never, true, never>;
}
