import { ChangeDetectorRef, OnChanges, OnInit, QueryList, SimpleChanges } from '@angular/core';
import { ContentViewCardService } from './content-view-card.service';
import { ContentCardHeadingDirective } from './directives/content-card-heading.directive';
import { ContentCardSectionDirective } from './directives/content-card-section.directive';
import { ContentCardSubHeadingsDirective } from './directives/content-card-sub-headings.directive';
import * as i0 from "@angular/core";
export declare class ContentViewCardComponent implements OnInit, OnChanges {
    private contentViewCardService;
    private cdr;
    sections: QueryList<ContentCardSectionDirective>;
    headings: QueryList<ContentCardHeadingDirective>;
    subHeadings: QueryList<ContentCardSubHeadingsDirective>;
    cardExpanded: boolean;
    constructor(contentViewCardService: ContentViewCardService, cdr: ChangeDetectorRef);
    ngOnInit(): void;
    ngOnChanges(changes: SimpleChanges): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<ContentViewCardComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ContentViewCardComponent, "lib-content-view-card", never, { "cardExpanded": { "alias": "cardExpanded"; "required": false; }; }, {}, ["sections", "headings", "subHeadings"], ["*"], false, never>;
}
