import { ElementRef, EventEmitter, OnDestroy, OnInit } from '@angular/core';
import { ImageModel } from '../../model/image-model';
import * as i0 from "@angular/core";
export declare class DragAndDropComponent implements OnInit, OnDestroy {
    dragOutline: ElementRef;
    showOutLine: boolean;
    fileRecieved: EventEmitter<ImageModel[]>;
    ngOnInit(): void;
    ngOnDestroy(): void;
    preventDefault(event: any): void;
    setDragAndDrop(): void;
    showOutline(event: any): void;
    hideOutline(event: any): void;
    recieveDroppedFiles(event: any): Promise<void>;
    private readFiles;
    readFile(file: File): Promise<ImageModel>;
    static ɵfac: i0.ɵɵFactoryDeclaration<DragAndDropComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DragAndDropComponent, "lib-drag-and-drop", never, { "showOutLine": { "alias": "showOutLine"; "required": false; }; }, { "fileRecieved": "fileRecieved"; }, never, ["*"], false, never>;
}
