import { EventEmitter } from '@angular/core';
import { TooltipDirectionPreference } from '../../enums/tooltip-direction-preference';
import * as i0 from "@angular/core";
export declare class ExpansionPanelComponent {
    title: string;
    hideDefaultHeader: boolean;
    alwaysExpanded: boolean;
    expanded: boolean;
    showToggleText: boolean;
    descriptionText: string;
    collapsedHeaderIcon: string;
    expandedHeaderIcon: string;
    expandedChange: EventEmitter<boolean>;
    DirectionPreference: typeof TooltipDirectionPreference;
    togglePanel(): void;
    handleHeaderClick($event: any): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<ExpansionPanelComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ExpansionPanelComponent, "lib-expansion-panel", never, { "title": { "alias": "title"; "required": false; }; "hideDefaultHeader": { "alias": "hideDefaultHeader"; "required": false; }; "alwaysExpanded": { "alias": "alwaysExpanded"; "required": false; }; "expanded": { "alias": "expanded"; "required": false; }; "showToggleText": { "alias": "showToggleText"; "required": false; }; "descriptionText": { "alias": "descriptionText"; "required": false; }; "collapsedHeaderIcon": { "alias": "collapsedHeaderIcon"; "required": false; }; "expandedHeaderIcon": { "alias": "expandedHeaderIcon"; "required": false; }; }, { "expandedChange": "expandedChange"; }, never, ["[panelHeaderTemplate]", "[collapsedPanelRightContent]", "[panelHeaderRightContent]", "*"], false, never>;
}
