import { OnDestroy, OnInit } from '@angular/core';
import { UntypedFormControl, UntypedFormGroup } from '@angular/forms';
import * as i0 from "@angular/core";
export declare class DateFilterComponent implements OnInit, OnDestroy {
    private dateFormats;
    submitted: boolean;
    placeholder: string;
    disabled: boolean;
    rangeSelect: boolean;
    formFieldControl: UntypedFormControl;
    dateFormat: string;
    rangeGroup: UntypedFormGroup;
    dateInputPlaceholder: string;
    focused: boolean;
    private componentDestroyed$;
    constructor(dateFormats: any);
    ngOnInit(): void;
    ngOnDestroy(): void;
    /**
     * @param $event - Object which contains date selected using mat-datepicker or entered manually by user
     *
     * Transform user entered date using provided dateFormat
     */
    processDate(value: any, formControlName?: string): void;
    handleFocus(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<DateFilterComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DateFilterComponent, "lib-date-filter", never, { "submitted": { "alias": "submitted"; "required": false; }; "placeholder": { "alias": "placeholder"; "required": false; }; "disabled": { "alias": "disabled"; "required": false; }; "rangeSelect": { "alias": "rangeSelect"; "required": false; }; "formFieldControl": { "alias": "formFieldControl"; "required": false; }; "dateFormat": { "alias": "dateFormat"; "required": false; }; }, {}, never, never, false, never>;
}
