import { ChangeDetectorRef, OnDestroy, OnInit } from '@angular/core';
import { Observable } from 'rxjs';
import { NotificationBannerType } from '../../enums/notification-banner-type';
import * as i0 from "@angular/core";
export declare class NotificationBannerComponent implements OnInit, OnDestroy {
    private changeDetectorRef;
    display: boolean;
    private timeout;
    message: string;
    bannerType: string;
    private componentDestroyed$;
    notification$: Observable<{
        message: string;
        type: NotificationBannerType;
    }>;
    constructor(changeDetectorRef: ChangeDetectorRef);
    ngOnInit(): void;
    ngOnDestroy(): void;
    private setTimedDisplay;
    hide(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<NotificationBannerComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<NotificationBannerComponent, "lib-notification-banner", never, { "notification$": { "alias": "notification$"; "required": false; }; }, {}, never, never, false, never>;
}
