import { Observable } from 'rxjs';
import { StatusMessage } from '../../../interfaces/notification.interface';
import * as i0 from "@angular/core";
export declare class ToastService {
    private eventSubject;
    private displaySubject;
    set setToast(data: StatusMessage);
    set toastEvent(event: string);
    get observeToast(): Observable<StatusMessage>;
    get observeEvents(): Observable<string>;
    showErrorToast(header: string, message?: string): void;
    showSuccessToast(header: string, message?: string): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<ToastService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<ToastService>;
}
