import { OnDestroy, OnInit } from '@angular/core';
import { StatusPosition } from '../../../enums/status-position';
import { StatusMessage } from '../../../interfaces/notification.interface';
import { ToastService } from '../services/toast.service';
import * as i0 from "@angular/core";
export declare class ToastComponent implements OnInit, OnDestroy {
    private toastService;
    message: StatusMessage;
    private toastHideSubject;
    private defaultDelay;
    private timeout;
    private componentDestroyed$;
    position: StatusPosition;
    constructor(toastService: ToastService);
    ngOnInit(): void;
    onCloseToast(): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<ToastComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ToastComponent, "lib-toast", never, { "position": { "alias": "position"; "required": false; }; }, {}, never, never, false, never>;
}
