import { OnDestroy, OnInit } from '@angular/core';
import { NgxImageCompressService } from 'ngx-image-compress';
import { ImageModel } from '../../../model/image-model';
import { ImageCropperService } from '../../image-cropper/image-cropper.service';
import { ImageBaseComponent } from '../image-base/image-base.component';
import * as i0 from "@angular/core";
export declare class DragAndDropComponent extends ImageBaseComponent implements OnInit, OnDestroy {
    private imageCompress;
    private imageCropper;
    showOutLine: boolean;
    dragOutline: any;
    constructor(imageCompress: NgxImageCompressService, imageCropper: ImageCropperService);
    ngOnInit(): void;
    ngOnDestroy(): void;
    preventDefault(event: any): void;
    setDragAndDrop(): void;
    showOutline(event: any): void;
    hideOutline(event: any): void;
    receiveDroppedFiles(event: any): Promise<void>;
    private readFiles;
    readFile(file: File): Promise<ImageModel>;
    static ɵfac: i0.ɵɵFactoryDeclaration<DragAndDropComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DragAndDropComponent, "lib-drag-and-drop", never, { "showOutLine": { "alias": "showOutLine"; "required": false; }; }, {}, never, ["*"], false, never>;
}
