import { AfterViewInit, ChangeDetectorRef, ElementRef } from '@angular/core';
import { PremiumChipVariantTypes } from './premium-chip-variants.enum';
import * as i0 from "@angular/core";
export declare class PremiumChipComponent implements AfterViewInit {
    private changeDetectorRef;
    matChipRef: ElementRef<HTMLElement>;
    PREMIUM_CHIP_VARIANT_TYPES: typeof PremiumChipVariantTypes;
    variant: PremiumChipVariantTypes;
    private resizeObserver;
    bgSvgUniqueIds: {
        fadeMaskBorderBottom: string;
        premiumChipBorderBottom: string;
        fadeMaskBorderTop: string;
        premiumChipBorderTop: string;
        fadeMaskInner: string;
        premiumChipInnerMaskGradient: string;
        premiumChipInner: string;
        premiumChipBorder: string;
        glassBorderGradient: string;
        glassInnerGradient: string;
        glassClipRoundedCorners: string;
        glassBorderMask: string;
    };
    appPremiumChipContainerOffsetHeight: number;
    appPremiumChipContainerOffsetWidth: number;
    updateSvg: boolean;
    readonly difference = 2.5;
    constructor(changeDetectorRef: ChangeDetectorRef);
    ngAfterViewInit(): void;
    private initChipContainer;
    private updateChipRect;
    static ɵfac: i0.ɵɵFactoryDeclaration<PremiumChipComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<PremiumChipComponent, "lib-premium-chip", never, { "variant": { "alias": "variant"; "required": false; }; }, {}, never, ["*"], false, never>;
}
