import { ElementRef, EventEmitter } from '@angular/core';
import * as i0 from "@angular/core";
export declare enum Orders {
    SIC = "SIC",// SEARCH-BAR IN THE ORDER SEARCH-ICON => INPUT => CLEAR-ICON
    ICS = "ICS",// SEARCH-BAR IN THE ORDER INPUT => CLEAR-ICON => SEARCH-ICON
    CIS = "CIS"
}
export declare class SearchBarComponent {
    placeholderText: string;
    inputText: string;
    order: Orders;
    clearIcon: string;
    searchIcon: string;
    searchStringChange: EventEmitter<any>;
    cleared: EventEmitter<any>;
    focused: EventEmitter<any>;
    unfocused: EventEmitter<any>;
    input: ElementRef;
    orders: typeof Orders;
    /**
     *
     * A method to return user input to default
     */
    clear(): void;
    /**
     *
     * A method to focus on the input element
     */
    focus(): void;
    handleFocus(): void;
    handleFocusOut(): void;
    /**
     *
     * A method to notify subscribers of user input
     */
    emit(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<SearchBarComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<SearchBarComponent, "lib-search-bar", never, { "placeholderText": { "alias": "placeholderText"; "required": false; }; "inputText": { "alias": "inputText"; "required": false; }; "order": { "alias": "order"; "required": false; }; "clearIcon": { "alias": "clearIcon"; "required": false; }; "searchIcon": { "alias": "searchIcon"; "required": false; }; }, { "searchStringChange": "searchStringChange"; "cleared": "cleared"; "focused": "focused"; "unfocused": "unfocused"; }, never, ["[right]"], false, never>;
}
