import { AfterViewInit, ChangeDetectorRef, ElementRef, EventEmitter } from '@angular/core';
import { SwiperOptions } from 'swiper/types';
import * as i0 from "@angular/core";
export declare class LibSwipeableTabsComponent implements AfterViewInit {
    private cdr;
    thumbSwiper: ElementRef<{
        initialize: () => {};
    }>;
    mainSwiper: ElementRef<{
        initialize: () => {};
    }>;
    thumbSlides: ElementRef | undefined;
    thumbsSwiperOptions: SwiperOptions;
    mainSwiperOptions: SwiperOptions;
    activeIndex: number;
    bottomThumbs: boolean;
    slideContentMaxHeight: string;
    mainSwiperHeight: string;
    subMainSwiperHeight: string;
    thumbsSwiperHeight: string;
    generalSwiperHeight: string;
    activeIndexChange: EventEmitter<number>;
    private thumbsSwiperInstance;
    private mainSwiperInstance;
    constructor(cdr: ChangeDetectorRef);
    ngAfterViewInit(): void;
    private initSwiperInstances;
    private initMainSwiper;
    static ɵfac: i0.ɵɵFactoryDeclaration<LibSwipeableTabsComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<LibSwipeableTabsComponent, "lib-swipeable-tabs", never, { "thumbsSwiperOptions": { "alias": "thumbsSwiperOptions"; "required": false; }; "mainSwiperOptions": { "alias": "mainSwiperOptions"; "required": false; }; "activeIndex": { "alias": "activeIndex"; "required": false; }; "bottomThumbs": { "alias": "bottomThumbs"; "required": false; }; "slideContentMaxHeight": { "alias": "slideContentMaxHeight"; "required": false; }; "mainSwiperHeight": { "alias": "mainSwiperHeight"; "required": false; }; "subMainSwiperHeight": { "alias": "subMainSwiperHeight"; "required": false; }; "thumbsSwiperHeight": { "alias": "thumbsSwiperHeight"; "required": false; }; "generalSwiperHeight": { "alias": "generalSwiperHeight"; "required": false; }; }, { "activeIndexChange": "activeIndexChange"; }, ["thumbSlides"], ["[thumb-slides]", "[main-slides]"], true, never>;
}
