import { Observable } from 'rxjs';
import { ToastrActionEvent } from '../../interfaces/toastr-action.interface';
import { ToasterConfig } from '../../models/toaster.config';
import { LibToastrStackService } from '../../toastr-stack.service';
import * as i0 from "@angular/core";
export declare class LibToastrService {
    private toastrStackService;
    private mouseOverSubject;
    private isMouseOver;
    mouseOver$: Observable<boolean>;
    toastrAnimationDuration: number;
    toastrConfig: ToasterConfig;
    constructor(toastrStackService: LibToastrStackService);
    setMouseOverState(isMouseOver: boolean): void;
    emitToastrDeletionEvent(toastrConfig: ToasterConfig): void;
    emitToastrReplacementEvent(updatedToastrConfig: ToasterConfig): void;
    onToastrReplacementEvent(): Observable<ToastrActionEvent>;
    onToastrDeletionEvent(): Observable<ToastrActionEvent>;
    static ɵfac: i0.ɵɵFactoryDeclaration<LibToastrService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<LibToastrService>;
}
