import { ChangeDetectorRef, OnDestroy, OnInit } from '@angular/core';
import { Observable } from 'rxjs';
import { ToastrPosition } from './enums/toastr-position.enum';
import { ToasterConfig } from './models/toaster.config';
import { ToastrStackConfig } from './models/toastr-stack.config';
import { LibToastrStackService } from './toastr-stack.service';
import * as i0 from "@angular/core";
export declare class LibToastrStackComponent implements OnInit, OnDestroy {
    private cdr;
    private toastrStackService;
    max: number;
    position: ToastrPosition;
    config$: Observable<ToastrStackConfig>;
    configs: Array<ToasterConfig>;
    private componentDestroyed$;
    constructor(cdr: ChangeDetectorRef, toastrStackService: LibToastrStackService);
    ngOnInit(): void;
    ngOnDestroy(): void;
    private initListeners;
    static ɵfac: i0.ɵɵFactoryDeclaration<LibToastrStackComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<LibToastrStackComponent, "lib-toastr-stack", never, { "max": { "alias": "max"; "required": false; }; "position": { "alias": "position"; "required": false; }; "config$": { "alias": "config$"; "required": false; }; }, {}, never, never, false, never>;
}
