import { GridColumn } from './grid-column';
import { GridRow } from './grid-row';
export declare class EditCompleteEvent {
    field: string;
    column: GridColumn;
    row: GridRow<any>;
    value: any;
    previousValue: any;
    constructor(event: PrimeNgEditEvent, previousValue: any);
}
export type PrimeNgEditEvent = {
    index?: number;
    field: string;
    data: {
        column: GridColumn;
        row: GridRow<any>;
    };
};
