import { TemplateRef } from '@angular/core';
export interface LibMenuItem {
    templateRef?: TemplateRef<HTMLElement>;
    title?: string;
    titlePrefix?: string;
    titleSuffix?: string;
    iconUrl?: string;
    iconName?: string;
    cssClass?: string;
    active?: boolean;
    disabled?: boolean;
    separator?: boolean;
    subMenu?: LibMenuItem[];
    listItem?: unknown;
    listItemIndex?: number;
    /** When true, prevents click events from being handled for this menu item, like closing the menu */
    disableClick?: boolean;
    command?: (event?: LibMenuItem) => void;
}
