/**
 * This model class contains a label, value and disabled boolean
 */
export declare class SelectOption<T> {
    label: string;
    value: T;
    disabled?: boolean;
    isHidden?: boolean;
    selected?: boolean;
    image?: string;
    constructor(label: string, value: T, disabled?: boolean, isHidden?: boolean, selected?: boolean, image?: string);
}
