import { BehaviorSubject, Observable } from 'rxjs';
import { WorkerResponse } from '../types/woker-response.type';
import * as i0 from "@angular/core";
export declare class NsfwWorkerService {
    canvas: HTMLCanvasElement;
    protected worker: Worker;
    protected _modelsLoaded$: BehaviorSubject<boolean>;
    modelsLoaded$: Observable<boolean>;
    protected messageId: number;
    protected messageHandlers: Map<number, {
        handler: (data: WorkerResponse) => void;
        observer: any;
    }>;
    protected subscribeToWorkerMessagesAndLoadModels(): void;
    faceDetector(image: string): Observable<boolean>;
    nsfwDetector(image: string): Observable<boolean>;
    private loadModels;
    static ɵfac: i0.ɵɵFactoryDeclaration<NsfwWorkerService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<NsfwWorkerService>;
}
