import { OnInit } from '@angular/core';
import { FormBuilder, FormControl, FormGroup } from '@angular/forms';
import { PopupModalService } from '../../../components/modal/popup-modal/popup-modal.service';
import { FormFieldType } from '../../../enums/form-field-type';
import { SelectOption } from '../../../model/select-option';
import * as i0 from "@angular/core";
export declare class LibMessageModalComponent implements OnInit {
    private fb;
    private popupModalService;
    modalData?: {
        responseTime: string;
    };
    options: SelectOption<string>[];
    messageType: FormControl<string>;
    dateTimePicker: FormControl<Date>;
    type: FormFieldType;
    formTime: FormGroup;
    constructor(fb: FormBuilder, popupModalService: PopupModalService, modalData?: {
        responseTime: string;
    });
    ngOnInit(): void;
    onSubmit(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<LibMessageModalComponent, [null, null, { optional: true; }]>;
    static ɵcmp: i0.ɵɵComponentDeclaration<LibMessageModalComponent, "lib-message-modal", never, {}, {}, never, never, false, never>;
}
